package com.bocloud.nms.model.veeam.job;

import java.util.List;

public class WindowsHostPortsModel {

    private List<WindowsHostComponentPortModel> components;
    private Integer portRangeStart;
    private Integer portRangeEnd;
    /**
     * If true, the server is run on this side.
     */
    private Boolean serverThisSide;

    public List<WindowsHostComponentPortModel> getComponents() {
        return components;
    }

    public void setComponents(List<WindowsHostComponentPortModel> components) {
        this.components = components;
    }

    public Integer getPortRangeStart() {
        return portRangeStart;
    }

    public void setPortRangeStart(Integer portRangeStart) {
        this.portRangeStart = portRangeStart;
    }

    public Integer getPortRangeEnd() {
        return portRangeEnd;
    }

    public void setPortRangeEnd(Integer portRangeEnd) {
        this.portRangeEnd = portRangeEnd;
    }

    public Boolean getServerThisSide() {
        return serverThisSide;
    }

    public void setServerThisSide(Boolean serverThisSide) {
        this.serverThisSide = serverThisSide;
    }

    @Override
    public String toString() {
        return "WindowsHostPortsModel{" +
                "components=" + components +
                ", portRangeStart=" + portRangeStart +
                ", portRangeEnd=" + portRangeEnd +
                ", serverThisSide=" + serverThisSide +
                '}';
    }
}
